
local spawnTimer = 0
local spawnRate =  2 --2 --4--2--1.5 --1.5 -- 1.5 --1.2 -- 2, 0.7

local minSpawnRange = 500
local maxSpawnRange = 750

function spawner_update(dt)
	if( isAtFountain() == false) then
		spawnTimer = spawnTimer - dt
	end
	if(spawnTimer < 0) then
		local px, py = get_playerPos()
		local angle = math.random(0, 2*math.pi*100)/100
		local spawnRange = math.random(minSpawnRange, maxSpawnRange)
		local x = px + math.cos(angle) * spawnRange
		local y = py + math.sin(angle) * spawnRange

		if(can_spawn(x,y)) then
			add_enemy(x,y)
			spawnTimer = spawnTimer + spawnRate
		end
	end
end